import { Component } from 'react';
declare class Observer extends Component<{
    children?: any;
    observerOptions?: any;
    onMutation?: any;
    onResize?: any;
}> {
    protected observer: any;
    protected childNode: null;
    protected name: string;
    static propTypes: {};
    constructor(...args: any[]);
    componentDidMount(): void;
    componentWillUnmount(): void;
    updateChildNode: (ref: any) => void;
    beginObserve: () => never;
    render(): any;
}
export { Observer };
